#!/bin/sh # # $FreeBSD$ # if [ x"$2" = xPOST-INSTALL ]; then echo "============================================================" if [ x"${DB_TYPE}" != "x" ]; then echo "If this is your first installation of sympa, please load" echo "this file with your ${DB_TYPE} database client:" echo " ${PKG_PREFIX}/bin/create_db.${DB_TYPE}" echo "" fi echo "A default configuration is installed," echo "to configure sympa interactively, please run:" echo " perl ${PKG_PREFIX}/sbin/sympa_wizard.pl" echo "" echo "You may also manually edit the two configuration files:" echo " ${PKG_PREFIX}/etc/sympa/sympa.conf" echo " ${PKG_PREFIX}/etc/sympa/wwsympa.conf" echo "============================================================" echo "To set up the wwsympa server, add something like this to" echo "your Apache configuration file:" echo "" echo " DocumentRoot \"${PKG_PREFIX}/sympa\"" echo " AddDefaultCharset UTF-8" echo " DirectoryIndex wws" echo " Options +Indexes" if [ x"${WITH_FASTCGI}" != x ]; then echo " LoadModule fastcgi_module libexec/apache2/mod_fastcgi.so" echo " " echo " SetHandler fastcgi-script" echo " " fi echo " " echo " Allow from all" echo " " echo " ScriptAlias /wws ${PKG_PREFIX}/sympa/cgi-bin/wwsympa-wrapper" echo "============================================================" exit 0 fi if [ x"$2" != xPRE-INSTALL ]; then exit 0 fi USER=sympa GROUP=${USER} UID=200 GID=${UID} if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then if pw groupadd ${GROUP} -g ${GID}; then echo "Added group \"${GROUP}\"." else echo "Adding group \"${GROUP}\" failed..." exit 1 fi fi if ! pw usershow "${USER}" 2>/dev/null 1>&2; then if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ -s /sbin/nologin -d /nonexistent \ -c "Sympa Owner"; \ then echo "Added user \"${USER}\"." else echo "Adding user \"${USER}\" failed..." exit 1 fi fi exit 0 l/electron4/files/lodash-4.17.19 FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xinit
Commit message (Expand)AuthorAgeFilesLines
* Switch FreeBSD CURRENT to use the new xorg stack (WITH_NEW_XORG=) [0]zeising2013-12-162-3/+2
* Add NO_STAGE all over the place in preparation for the staging support (cat: ...bapt2013-09-211-0/+1
* Update to 1.3.3zeising2013-09-093-6/+8
* The FreeBSD x11 team proudly presentszeising2013-05-251-5/+0
* Fix the build of xorg related ports when the base system is compiled withzeising2012-07-301-0/+1
* - Please welcome Xorg 7.5.2miwi2012-04-223-18/+3
* Backout previous commit due to missing dependencies not picked up by a tinder...eadler2012-02-053-3/+19
* Update to 1.3.2eadler2012-02-053-18/+3
* - updated evieext to 1.1.1eadler2011-09-223-5/+21
* - Get Rid MD5 supportmiwi2011-03-191-1/+0
* - Please welcome Xorg 7.5.1miwi2011-02-261-3/+0
* Fix occurrences of /usr/local in xinit manpagearved2010-08-151-0/+2
* - Update to Xorg 7.5miwi2010-05-012-5/+4
* - Use full path to base system hexdump(1) to prevent clash withpav2009-03-201-0/+4
* - Update X.org ports to 7.4+ (few ports are more recent than the katamari).flz2009-01-242-4/+4
* Oops, missed distinfo update.flz2007-10-101-3/+3
* Update xinit to 1.0.7.flz2007-10-101-1/+1
* - Update X.org ports to 7.3.flz2007-09-143-53/+4
* xinit: Add a patch to generate the magic cookie for authenticationanholt2007-07-142-0/+49
* Update to 1.0.4.lesi2007-07-032-4/+4